using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace IWS5.DatabaseAccess.IwsDataModels;

[Table("ATTaskType")]
public partial class AttaskType
{
    [Key]
    public int TaskTypeId { get; set; }

    [StringLength(50)]
    public string TaskTypeName { get; set; } = null!;

    [StringLength(255)]
    public string? Description { get; set; }

    [InverseProperty("TaskType")]
    public virtual ICollection<AtscheduledTask> AtscheduledTasks { get; set; } = new List<AtscheduledTask>();
}
